<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\RefreshToken\TokenFamilyId;
use DomainException;

use function sprintf;

/**
 * Exception levée lorsqu'une session n'est pas trouvée.
 *
 * @see Story 1.6 - Gestion des sessions
 */
final class SessionNotFoundException extends DomainException
{
    public function __construct(TokenFamilyId $familyId)
    {
        parent::__construct(sprintf('Session with family ID "%s" not found.', $familyId));
    }
}
